##### 7.5.14.0. minIntRoot2

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  minIntRoot2(L); L list

Assume:
  L is the output of bFactor.

Return:
  int, the minimal integer root in a list of roots

Example:

    LIB "dmodloc.lib";
    ring r = 0,x,dp;
    poly f = x*(x+1)*(x-2)*(x-5/2)*(x+5/2);
    list L = bFactor(f);
    minIntRoot2(L);
    ==> -1

See also: bFactor; maxIntRoot; minIntRoot.

User manual for Singular version 4.4.1, 2025, generated by texi2html.